Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Class RunReportTimeoutException

    java.lang.Object
      JSException
          jet.server.api.RunReportTimeoutException

    public class RunReportTimeoutException

extends JSException

Signals indicating that timeouts reached while running a report.

Constructor Summary
`RunReportTimeoutException()` Construct a new `RunReportTimeoutException` with `null` as its detail message.
`RunReportTimeoutException(java.lang.String resultName)` Construct a new RunReportTimeoutException with the result name.
`RunReportTimeoutException(java.lang.String msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`RunReportTimeoutException(java.lang.String msg, java.lang.Throwable cause)` Construct a new `RunReportTimeoutException` with specified detail message and cause.
`RunReportTimeoutException(java.lang.Throwable cause)` Construct a new `RunReportTimeoutException` with specified cause and a `null`detail message.``

Method Summary
`java.lang.String` | `getResultName()` Return the result name to check/wait the result ready.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunReportTimeoutException

    public RunReportTimeoutException(java.lang.String msgKey,
                                     java.lang.Object[] params,
                                     java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### RunReportTimeoutException

    public RunReportTimeoutException()

  Construct a new `RunReportTimeoutException` with `null` as its detail message. The cause is not initialized.

### RunReportTimeoutException

    public RunReportTimeoutException(java.lang.String resultName)

  Construct a new RunReportTimeoutException with the result name.

  Parameters:
    `resultName` - the result name

### RunReportTimeoutException

    public RunReportTimeoutException(java.lang.String msg,
                                     java.lang.Throwable cause)

  Construct a new `RunReportTimeoutException` with specified detail message and cause.

  Parameters:
    `msg` - the detail message
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### RunReportTimeoutException

    public RunReportTimeoutException(java.lang.Throwable cause)

  Construct a new `RunReportTimeoutException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

Method Detail

### getResultName

    public java.lang.String getResultName()

  Return the result name to check/wait the result ready.

  Returns:
    the result name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD